GuidesAPI Reference
API Reference

Modify a catalog layer

Modify some fields of the catalog layer. HTTP PATCH method is used to modify some fields of existing layer configuration. All fields are optional. Specify field value to modify it, not specified fields are ignored. To remove the field value use the null value. For more information see RFC 7396 - JSON Merge Patch.

Path Params
string
required

The HERE Resource Name (HRN) of the catalog

string
required

The layer ID

Query Params
string

The billingTag parameter is an optional free-form tag that you can use to group billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Body Params

A layer object that contains modification of layer configuration

string
length between 0 and 120

The short name for the layer. Field is optional, Specify a value to modify layer name. This field is not removable, null value is not allowed.

string
length between 0 and 1000

A one-sentence summary of the layer. You can see this summary when you browse a list of layers on the platform portal. Field is optional, Specify a value to modify layer summary. This field is not removable, null value is not allowed.

string
length between 0 and 10000

A detailed description of the layer and what it contains. This information appears on the 'Overview' tab when you open a layer in the platform portal. Field is optional, Specify a value to modify layer description. This field is not removable, null value is not allowed.

coverage
object

The geographic areas that this layer covers, grouped by administrative divisions. Field is optional, Specify a value to modify layer coverage. This field is not removable, null value is not allowed.

schema
object

The HRN of the data schema for this layer. Field is optional, specify a value to modify layer schema. This field is not removable, null value is not allowed.

partitioning
object

Defines how data is partitioned within the layer. Field is optional, specify a value to modify layer partitioning. This field is not removable, null value is not allowed.

indexProperties
object

Defines index properties within the index layer. Field is optional, specify a value to modify layer index properties. This field is not removable, null value is not allowed.

objectStoreProperties
object

Defines objectStore properties within the objectStore layer. Field is optional, specify a value to modify layer objectStore properties. This field is not removable, null value is not allowed.

streamProperties
object

Defines stream properties within the stream layer. Field is optional, specify a value to modify layer stream properties. This field is not removable, null value is not allowed.

interactiveMapProperties
object

Defines interactive maps properties within the interactive maps layer. Field is optional, specify a value to modify interactive maps properties. This field is not removable, null value is not allowed.

boolean

Indicates if the layer metadata and blob are in a mode that secure dataHandles support. It supports only heretile layer partitioning. The produced dataHandles contain a reference partitionId and a secure signature, for example '24235893475945c961-e74d-478f-8afe-da53cf4189e3EAAQuWgWdiwktzMKEeweZA-6HteHy38hXR_NY-qpeSamlJc'."

boolean

This field is deprecated on the catalog level. Use subsetRestrictions on the layer level only. Indicates if the subsetRestrictions for a layer is enabled or not. Supported only for layers with heretile partitioning. After deprecation setting subsetRestrictions on the catalog level takes no effect. It will simply be ignored.

tags
array of strings

Some keywords that help to find the layer when searching in the platform portal. Field is optional, Specify a value to replace all list of tags. This field is not removable, null value is not allowed.

tags
billingTags
array of strings

List of billing tags a free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alphanumeric ASCII characters [A-Za-z0-9] and the following special characters: - _ (except first and last character). Field is optional, Specify a value to replace all list of billing tags. This field is not removable, null value is not allowed.

billingTags
string
enum

The crc property specifies the CRC algorithm used by the data publisher to generate a checksum for each partition in the layer. Field is optional, Specify a value to modify layer CRC algorithm only if layer was created with no CRC specified. This field is not removable, null value is not allowed.

Allowed:
string
enum

The digest property specifies the algorithm used by the data publisher to generate a hash for each partition in the layer. Field is optional, Specify a value to modify layer digest algorithm only if layer was created with no digest specified. This field is not removable, null value is not allowed.

Allowed:
int64

Defines ttl within the stream layer. Field is optional, Specify a value to modify the ttl of the stream layer. This field is not removable, null value is not allowed. Can be updated only if not set already for stream layer.

string

Defines content type within the stream layer. Field is optional, Specify a value to modify the content type of the stream layer. This field is not removable, null value is not allowed.

string
enum

Defines content encoding within the stream layer. Field is optional, Specify a value to modify the content encoding of the stream layer. This field is not removable, null value is not allowed.

Allowed:
Responses

400

Bad Request - indicates that your request failed fast validation such as syntax or some logical errors.

401

Unauthorized

402

Payment required - indicates that your request failed because performing the catalog operation would exceed the resource limit.

403

Forbidden - Access to this catalog or layer is forbidden.

404

Not Found - A catalog with the specified HRN doesn't exist.

409

Conflict - The catalog with the specified HRN is in the process of being updated.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json